当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 新手请教codeblocks安装
帖子发表于 : 2009-05-04 12:30 

注册: 2009-04-19 15:01
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
新接触UBUNTU,想装个codeblocks试试,在官方下载了一个20.1M的文件codeblocks_8.02-0ubuntu1.deb.tar.gz,解压了安装提示和其它文件相关,里面有六个文件都是这样,不能用包安装,实在不知道怎么样把它安装到UBUNTU9.04里面,请高手指点一下,最好是能详细点说明步骤,谢谢!
另本人电脑没联网,是用DVD版本装的系统!


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 新手请教codeblocks安装
帖子发表于 : 2009-05-04 14:59 

注册: 2009-01-30 20:54
帖子: 386
送出感谢: 1
接收感谢: 0 次
尝试一下
代码:
dpkg -i *.deb


或者,安装一个目录下面所有的软件包
代码:
dpkg -R


eg:
代码:
 dpkg -R /usr/local/src


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 新手请教codeblocks安装
帖子发表于 : 2009-05-04 18:07 

注册: 2009-04-19 15:01
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
dpkg -i *.deb
上面这一条试过,也不能安装,晚上回家试试下面这一句:

代码:
dpkg -R

希望能装上,电脑没网络,装个东西真麻烦


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 新手请教codeblocks安装
帖子发表于 : 2009-05-04 19:16 
头像

注册: 2009-03-13 20:31
帖子: 337
地址: cnblogs.com/open_source
送出感谢: 2
接收感谢: 0 次
Application-->Add/Remove 里将show后选All available applicatons,搜一下就出来了。


_________________
代码:
'(("OS" . "Fedora")
  ("editor" . "Emacs"))
  ("blog" . "http://www.cnblogs.com/open_source")


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 新手请教codeblocks安装
帖子发表于 : 2009-05-04 19:17 
头像

注册: 2009-03-13 20:31
帖子: 337
地址: cnblogs.com/open_source
送出感谢: 2
接收感谢: 0 次
不好意思,没网络就算了


_________________
代码:
'(("OS" . "Fedora")
  ("editor" . "Emacs"))
  ("blog" . "http://www.cnblogs.com/open_source")


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 新手请教codeblocks安装
帖子发表于 : 2009-05-05 12:08 

注册: 2009-04-19 15:01
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
就是没网络相当不方便,昨天下了个wxGTK-2.8.10
解压出来之后,用./configure编译出现错误
代码:
configure: WARNING: zlib library not found or too old, will use built-in instead
checking for png.h > 0.90... no
checking for png.h... (cached) no
configure: WARNING: system png library not found or too old, will use built-in instead
checking for jpeglib.h... no
configure: WARNING: system jpeg library not found, will use built-in instead
checking for tiffio.h... no
configure: WARNING: system tiff library not found, will use built-in instead
checking for expat.h... no
configure: WARNING: system expat library not found, will use built-in instead
checking for mspack.h... no
checking for GTK+ version...
checking for pkg-config... /usr/bin/pkg-config
checking for GTK+ - version >= 2.0.0... no
*** Could not run GTK+ test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means GTK+ is incorrectly installed.
configure: error:
The development files for GTK+ were not found. For GTK+ 2, please
ensure that pkg-config is in the path and that gtk+-2.0.pc is
installed. For GTK+ 1.2 please check that gtk-config is in the path,
and that the version is 1.2.3 or above. Also check that the
libraries returned by 'pkg-config gtk+-2.0 --libs' or 'gtk-config
--libs' are in the LD_LIBRARY_PATH or equivalent.

都不明白是什么意思,请大家帮看下


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 新手请教codeblocks安装
帖子发表于 : 2009-05-06 17:42 

注册: 2009-04-19 15:01
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
这里没人气啊


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译